# Generated by rust2rpm
# * Some tests don't work with optimized builds
#   https://github.com/rayon-rs/rayon/issues/585
%bcond_with check
%global debug_package %{nil}

%global crate rayon-core

Name:           rust-%{crate}
Version:        1.4.1
Release:        2%{?dist}
Summary:        Core APIs for Rayon

# Upstream license specification: Apache-2.0/MIT
License:        ASL 2.0 or MIT
URL:            https://crates.io/crates/rayon-core
Source0:        https://crates.io/api/v1/crates/%{crate}/%{version}/download#/%{crate}-%{version}.crate
# Initial patched metadata
# * Bump crossbeam-deque to 0.4, upstream doesn't want this
Patch0:         rayon-core-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
BuildRequires:  (crate(crossbeam-deque/default) >= 0.4.0 with crate(crossbeam-deque/default) < 0.5.0)
BuildRequires:  (crate(lazy_static/default) >= 1.0.0 with crate(lazy_static/default) < 2.0.0)
BuildRequires:  (crate(libc/default) >= 0.2.16 with crate(libc/default) < 0.3.0)
BuildRequires:  (crate(num_cpus/default) >= 1.2.0 with crate(num_cpus/default) < 2.0.0)
%if %{with check}
BuildRequires:  (crate(rand/default) >= 0.5.0 with crate(rand/default) < 0.6.0)
%endif

%global _description \
Core APIs for Rayon.

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE-APACHE LICENSE-MIT
%doc README.md
%{cargo_registry}/%{crate}-%{version}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sun Oct 28 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.4.1-2
- Adapt to new packaging

* Tue Jul 17 2018 Josh Stone <jistone@redhat.com> - 1.4.1-1
- Update to 1.4.1

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sat Jun 16 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.4.0-2
- Bump crossbeam-deque to 0.4

* Thu Feb 15 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.4.0-1
- Update to 1.4.0

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.3.0-5
- Rebuild for rust-packaging v5

* Sun Dec 31 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.3.0-4
- Bump rand to 0.4

* Sun Dec 03 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.3.0-3
- Fix end-of-line

* Thu Nov 30 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.3.0-2
- Bump lazy_static to 1

* Tue Nov 14 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.3.0-1
- Update to 1.3.0

* Thu Jun 15 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.2.1-1
- Update to 1.2.1

* Thu Jun 15 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.2.0-1
- Initial package
